#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_test:
	TEST_APP_SHUTTER_PATH=$(CURDIR) xvfb-run -a prove -I $(CURDIR)/share/shutter/resources/modules/ -I $(CURDIR)/t/lib -r -v t

override_dh_auto_install:
	dh_auto_install -- prefix=$(TMP)/usr

execute_after_dh_install:
	dh_install
	mkdir -p $(TMP)/usr/share/perl5/
	mv $(TMP)/usr/share/shutter/resources/modules/Shutter $(TMP)/usr/share/perl5/
	$(RM) -r $(TMP)/usr/share/shutter/resources/modules/ $(TMP)/usr/share/doc/*/COPYING
	find $(TMP)/usr/share -type f -name '*.pm' -print0 | \
		xargs -r0 sed -i -e '1s|^#! /usr/bin/env perl|#!/usr/bin/perl|'
